// Example for GEVINO opto
// 17/11/2017   Giorgio Evangelista
// Use Arduino Zero Native Port

// shop.gevaelettronica.it/index.php?id_category=4&controller=category&id_lang=1
// Tested with arduino.cc IDE 1.6.12
// install wifi   library https://github.com/ekstrand/ESP8266wifi
// install eeprom library https://github.com/cmaglie/FlashStorage


#define TEST_SD

#ifdef TEST_SD
  #include <SD.h>
  File myFile;
#endif

void setup() {

  #define I1 0
  #define I2 1
  #define I3 2
  #define I4 3
  #define I5 4
  #define I6 5
  #define I7 6
  #define I8 7
  #define I9 8
  #define I10 9
  #define O1 A1
  #define O2 A2
  #define O3 A3
  #define O4 A4
  
  pinMode(O1, OUTPUT);       // sets O1 digital pin as output
  pinMode(O2, OUTPUT);
  pinMode(O3, OUTPUT);
  pinMode(O4, OUTPUT);
  pinMode(I1, INPUT);        // sets I1 digital pin as input
  pinMode(I2, INPUT);
  pinMode(I3, INPUT);
  pinMode(I4, INPUT);
  pinMode(I5, INPUT);
  pinMode(I6, INPUT);
  pinMode(I7, INPUT);
  pinMode(I8, INPUT);
  pinMode(I9, INPUT);
  pinMode(I10, INPUT);
  
  #ifdef TEST_SD    // Write file on SD card.
  SD.begin(10);
  myFile = SD.open("example.txt", FILE_WRITE);
  myFile.close();
  #endif

}

void loop() {

  if(digitalRead(I1) && digitalRead(I5) && digitalRead(I9)) digitalWrite(O1, HIGH);
  else digitalWrite(O1, LOW);

  if(digitalRead(I2) && digitalRead(I6) && digitalRead(I10)) digitalWrite(O2, HIGH);
  else digitalWrite(O2, LOW);

  if(digitalRead(I3) && digitalRead(I7)) digitalWrite(O3, HIGH);
  else digitalWrite(O3, LOW);

  if(digitalRead(I4) && digitalRead(I8)) digitalWrite(O4, HIGH);
  else digitalWrite(O4, LOW);

}
